iip_destination_mgr Struct Reference

Expanded data destination object for buffered output used by IJG JPEG library. More...

`#include <JPEGCompressor.h>`

## Public Attributes

struct jpeg_destination_mgr | pub
size_t | size
JOCTET * | buffer
unsigned char * | source
unsigned int | strip_height

## Detailed Description

Expanded data destination object for buffered output used by IJG JPEG library.

## Member Data Documentation

## buffer

JOCTET* iip_destination_mgr::buffer

working buffer

## pub

struct jpeg_destination_mgr iip_destination_mgr::pub

public fields

## size

size_t iip_destination_mgr::size

size of source data

## source

unsigned char* iip_destination_mgr::source

source data

## strip_height

unsigned int iip_destination_mgr::strip_height

used for stream-based encoding

The documentation for this struct was generated from the following file:

- JPEGCompressor.h